View Issue Details

IDProjectCategoryView StatusLast Update
0004568SymmetricDSImprovementpublic2020-10-06 17:45
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.4 
Target Version3.12.5Fixed in Version3.12.5 
Summary0004568: SQL Server supports filtered indexes, need to add support of filtered indexes in ddlutils
DescriptionCREATE INDEX FIBillOfMaterialsWithEndDate
    ON Production.BillOfMaterials (ComponentID, StartDate)
    WHERE EndDate IS NOT NULL ;

Notice the WHERE clause in the creation of the index.

Need to change database.dtd, adding a new attribute to index and unique sections. New attribute could be "filter".
Need to add support to DDL Reader to read filter specification for SQL Server Reader, all others should default to not supporting it.
Export to XML should add this attribute to indexes when specified.
DDL Writer needs to support this new attribute.
Tagsddl/schema, dialect: sql-server

Relationships

related to 0004373 resolvedpmarzullo SQL Server supports filtered indexes, need to add support of filtered indexes in ddlutils 

Activities

pmarzullo

2020-10-05 16:48

developer   ~0001803

Not completely working

Related Changesets

SymmetricDS: 3.12 827589fd

2020-09-24 10:22:14

pmarzullo

Details Diff
0004568: SQL Server supports filtered indexes, need to add support of
filtered indexes in ddlutils
Affected Issues
0004568
mod - symmetric-db/src/main/java/org/jumpmind/db/io/DatabaseXmlUtil.java Diff File

Issue History

Date Modified Username Field Change
2020-09-24 14:04 pmarzullo New Issue
2020-09-24 14:04 pmarzullo Status new => assigned
2020-09-24 14:04 pmarzullo Assigned To => pmarzullo
2020-09-24 14:04 pmarzullo Tag Attached: ddl/schema
2020-09-24 14:04 pmarzullo Tag Attached: dialect: sql-server
2020-09-24 14:04 pmarzullo Relationship added related to 0004373
2020-09-24 14:14 pmarzullo Status assigned => resolved
2020-09-24 14:14 pmarzullo Resolution open => fixed
2020-09-24 14:14 pmarzullo Fixed in Version => 3.12.5
2020-09-24 15:00 pmarzullo Changeset attached => SymmetricDS 3.12 827589fd
2020-10-05 16:48 pmarzullo Status resolved => assigned
2020-10-05 16:48 pmarzullo Note Added: 0001803
2020-10-05 16:48 pmarzullo Resolution fixed => open
2020-10-05 16:50 pmarzullo Fixed in Version 3.12.5 =>
2020-10-06 17:45 pmarzullo Status assigned => resolved
2020-10-06 17:45 pmarzullo Resolution open => fixed
2020-10-06 17:45 pmarzullo Fixed in Version => 3.12.5